

/* -------------CUSTOM_THEME: SFDC----------------- */
/* ------------------------------------------------------ */
body {
	margin:0 auto;
	max-width: 1400px;
	background-repeat: repeat-x;
	background-position: 0 top;
	
}
.page-content {
	background-color: #ffffff;
}

body, td, p { 
    text-decoration: none; 
    color: #666666; 
    font-family: Arial,sans-serif; 
    font-size: 8pt;
}

a {  
    text-decoration: none;
}

div.main-pane{
	background-color: #FFFFFF;
}

.clearfix {
    *zoom:1; /* IE<8 */
}
.clearfix:after { 
  content: "";
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}
.help-icon {
   display: inline-block;
   width: 14px;
   height: 14px;
   padding-right: 4px;
   background: url(/img/bmx/icons/help.gif) no-repeat;
}



/* Overlay and Loading dialog */
#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
    background-color: #000;
    opacity: 0.3;
    filter: alpha(opacity = 30); /*ie7 and 8*/
}

#loading-dialog {
    position: fixed;
    top: 50%;
    left: 50%;
    margin-top: -100px;
    margin-left: -150px;
    width: 250px;
    background-color: #fff;
    border: 1px solid #777;
    padding: 25px;
    text-align: center;
    z-index: 1001;
}

/* --- TOP / BOTTOM DIVIDERS --- */
/* top bar properties */

.display-block {
	display:block;
}

.top-icon-bg-color {
	background-color : #1797C0; /*SFDC Blue*/
}

.top-left-icon { 
    background-image: url('/img/trans.gif'); 
    background-repeat: no-repeat; 
    width : 20px; 
    height : 20px; 
    background-position : center;  
    background-color : #1797C0; /*SFDC Blue*/
} 

/* specify the little icon to be used url */
.top-bar, .top-bar:link, .top-bar:visited { 
    background-color: #1797C0; /*SFDC Blue*/
    color: #FFFFFF; 
    font-size : 9pt;
    font-family : Arial; 
    font-weight: bold; 
    font-style: normal;
} 

/* for top bar and folder tabs*/ 
a.top-bar:hover, a.top-bar:visited:hover { 
    color: #1468B6; /*SFDC Medium Blue*/
}

.top-bar-on, .top-bar-on:link, .top-bar-on:visited { 
    background-color: #1797C0; /*SFDC Blue*/
    color: #FFFFFF; 
    font-size : 9pt;
    font-family : Arial; 
    font-weight: bold;
    font-style: normal; 
}

/* for SELECTED folder tab*/ 
a.top-bar-on:hover, a.top-bar-on:visited:hover { 
    color: #1468B6; /*SFDC Medium Blue*/
}

/* bottom bar properties */
.bottom-bar, .bottom-bar:link, .bottom-bar:visited { 
    background-color: #1797C0; /*SFDC Blue*/
    color: #FFFFFF; 
    font-size : 9pt;
    font-family : Arial; 
    text-align : right;
    font-style: normal;
    font-weight: normal;
}
a.bottom-bar:hover, a.bottom-bar:visited:hover { 
    color: #1468B6; /*SFDC Blue*/
}
.bottom-bar img {
    vertical-align: middle;
}

/* sidebox bar properties */
.sidebox-bar { 
    background-color: #1797C0; /*SFDC Blue*/
    color: #FFFFFF; 
    font-size : 10pt; 
    font-family : Arial; 
    font-weight: bold; 
}    

/* Popups */
.popup {
    position: fixed;
    left: 50%;
    top: 50px;
    z-index: 999;
}

.popup.modal {
    z-index: 1002;
}

.popup-header {
    padding: 5px 22px 4px 6px;
}

.popup-title,.popup-header img {
    vertical-align: middle;
}

.popup-content {
    padding: 6px;
    overflow: auto;
}

.popup-footer {
    padding: 6px;
    text-align: right;
    position:relative;
}

.popup-footer .bm-button {
    display: inline-block;
    margin-left: 3px;
    position:relative;
    display: inline !ie;
}
  .popup-header {
    background: #1797C0 url(/img/gxt/glossy-top-bottom.png) repeat-x;
    border: 1px solid #1797C0; /*SFDC Blue*/
    border-top: none;
  }
  
  .popup-header .popup-title {
    color: #FFFFFF;
    font-weight: bold;
    font-family: Arial,sans-serif;
  }
  
  
  .popup-content {
    border-style: solid;
    border-width: 0 1px;
    border-color: #1797C0; /*SFDC Blue*/
    background-color: #fff;
  }
  
  .popup-footer {
    border: 1px solid #1797C0; /*SFDC Blue*/
    border-top: none;
    background-color: #fff;
  }
  
  .popup-form .field-label {
    font-family: Arial,sans-serif; 
    font-size: 8pt; 
    color: #333333; 
    font-weight: bold; 
    text-align: left; 
  }
  
  .popup-form .error .field-label {
    color: #FF0000; 
    font-style: normal; 
    font-weight: normal; 
  }

.popup-close {
    height: 15px;
    width: 15px;
    position: absolute;
    top: 4px;
    right: 4px;
    background-image: url(/img/gxt/tool-sprites-gray.gif);
    overflow: hidden;
}


/* Panels */
.panel .panel-tc, .panel .panel-tl, .panel .panel-tr, .panel .panel-mr, .panel .panel-ml {
    background-color: #1797C0!important; /*SFDC Blue*/
    border-color: #1797C0!important; /*SFDC Blue*/
}


/* General Tabs */

ul.tab-strip {
	-webkit-background-clip: padding-box ; /* Fixes border bleed in webkit */
	background-clip: padding-box;
	-moz-background-clip: padding;
    border-bottom: 2px solid #1797C0; /*SFDC Blue*/
    list-style: none;
    margin: 0;
    padding: 3px 5px 0 5px;
    background: #CDE8F0 url(/img/gxt/rounded_gradient-tab-inner.png) repeat-x 0 0;
	-moz-border-radius: 6px 6px 0 0;  	
	-webkit-border-radius: 6px 6px 0 0;  
	border-radius: 6px 6px 0 0; 
}

ul.tab-strip li {
    float: left;
    white-space: nowrap;
    margin-right: 2px;
}

.tab-strip span,
.tab-strip a {
    display: block;
}

.tab-strip .tab-left {
    background: transparent;
}

.tab-strip .tab-right {
    background: transparent;
}

.tab-strip .tab-inner {
    background: transparent;
}

.tab-strip .tab-text  {
    color:#000000; 
    font-weight:bold;
    font-style:normal;
    font-family:Arial;
    padding: 4px 1px 6px 1px;
    text-decoration:none;
    font-size: 12px;
    line-height: 16px;
}

.tab-content {
    padding: 3px;
    border-top: 2px solid #1797C0; /*SFDC Blue*/
}

/* Tab hover */
.tab-strip a.tab-left:hover,
.tab-strip a.tab-left:hover .tab-inner{
    background-color: transparent;
}
.tab-strip a.tab-left:hover .tab-text {
    color: #1468B6;/*SFDC Medium Blue*/
}

/* Tab active */
.tab-strip .tab-active a.tab-left,
.tab-strip .tab-active a.tab-left .tab-inner {
	-webkit-background-clip: padding-box ; /* Fixes border bleed in webkit */
	background-clip: padding-box;
	-moz-background-clip: padding;
    background: #1797C0 url(/img/gxt/rounded_gradient-tab-inner.png) repeat-x 0 0; /*SFDC Blue*/
	-moz-border-radius: 6px 6px 0 0;  	
	-webkit-border-radius: 6px 6px 0 0;  
	border-radius: 6px 6px 0 0; 
}
.tab-strip .tab-active a.tab-left .tab-text,
.tab-strip .tab-active a.tab-left:hover .tab-text {
    color: #FFFFFF;
}

a.tab-left, a.tab-left:active, a.tab-left:focus {
    outline: none;
}

/* ------- Config -------*/

/* Creates fixed width, centered content in Config*/
.body-inner {
    margin-left: auto;
    margin-right: auto;
    max-width: 1350px;
    border: solid #BBBBBB; 
    border-width: 1px 1px 2px 1px; 
    background: #ffffff;
}

/* Allows config columns to wrap text */
.model-config .column {
    white-space: normal;
}

/* Attribute Label Properties */
.required .attribute-label,
.attribute-label {
    font-family: Arial, sans-serif!important;
    font-size: 11pt!important;
    color: #666666!important;
	
}

.attribute-label-container {
	width:250px!important;
}

/* Required Attribute Label Properties */
.required .attribute-label {
    font-style: bold!important;
}

/* Group Header Label Properties */
.group-header {
    font-family: Arial, sans-serif!important;
    font-size: 12pt!important;
    color: #333333!important;
    font-style: bold!important;
	border-bottom: 1px solid #AAAAAA!important;
    line-height: 22px;
}

/* Adds arrow icon to indicate collapsable groups within config */
.model-config  .group-content .group-header span{
   padding-left: 15px;
   background: url("image/images/arrow-collapse.png") no-repeat 0 50%;
}

.model-config  .group-content.collapsed .group-header span{
   padding-left: 15px;
   background: url("image/images/arrow-expand.png") no-repeat 0 50%;
}

/* Array Table Properties */
.array {
    background-color: #CCCCCC;
    border-color: #CDE8F0!important; /*SFDC Light Blue*/
    border-width: 1px;
    border-style: solid;
}

table.array {
    max-width:950px;
}

table.array th.attribute {
    max-width: 230px !important;
    width: 230px !important;
}

.array td {
    background-color: #FFFFFF!important;
}

.array thead th {
    background-color: #1797C0!important; /*SFDC Blue*/
    color: #FFFFFF;
    border-color: #CDE8F0!important; /*SFDC Light Blue*/
}

.array .even td, .array .even th {
    background-color: #CDE8F0!important; /*SFDC Light Blue*/
}

.array tr td.previous-value {
    border-top-color: #AAAAAA;
}

.array tr td.recommended {
    border-top-color: #0000FF;
}

.array tr td.constrained {
    border-top-color: #FF0000;
}

/* Buttons */
/* ------------------------------------------------------ */
.button-middle a img { /* Commerce buttons images  */
    display: none;
}

.button-left, .button-right { 
	display: none!important; /* hide button sides used in original table buttons */
} 

.button-bar {
    margin: -10px -10px 10px -10px!important;
    padding: 3px;
    background: #FFFFFF;
}

td.button-middle { 
	border-color: #999999; 		
	border-style: solid;
	border-width: 1px;
    background-image: url("image/images/sw_navbargrad.png");
	background-repeat: repeat-x;
	background-position: 0 0; 
	-webkit-background-clip: padding-box ; /* Fixes border bleed in webkit */
	background-clip: padding-box;
	-moz-background-clip: padding;
	display: block;
	position: relative;
	-moz-border-radius: 6px; 	
	-webkit-border-radius: 6px;  
	border-radius: 6px;
	background-color: #AAAAAA;	
    height: 20px;
}

.button-middle a {
	outline: none;
	-moz-outline-style: none;
	background-position: 0 center;
	background-repeat: no-repeat;
	margin: 0px 4px 0px 4px;
	padding: 0px!important;
	font-family: Arial!important;
	font-size: 11px!important;
	font-weight: bold!important;
    color:#333333!important;
    line-height: 20px;
}

body.model-config .button-middle a {
	display: block;
}

td.button-middle:hover { 
	background-color: #CDE8F0; /*SFDC Light Blue - background hover color */
} 

.button-middle a:hover {
    color:#1797C0!important; /*SFDC Blue*/
}

td.button-middle:active a{
	margin: 0px 4px!important;
}

td.button-middle:active { 
	background-color: #999999; /* background clicked color */
} 

.button-middle div { 
	margin: 0 4px!important;  /*overrides .js inline click movement */
} 

.button-text, .button-text:link, .button-text:visited {
    position: relative;
    top: 0px;
}


/* Actionstrip Fixes */
/* ------------------------------------------------------ */
.bm-actionstrip-horiz table {
	display: inline-block; /* for Safari */
	zoom: 1; 
	*display:inline; /*IE7 Hack */
}

/* Pipeline Viewer */
/* ------------------------------------------------------ */

#pipeline-viewer-opener {
    background-color: #1797C0; /*SFDC Blue*/
    text-align: right;
}

#pipeline-viewer-opener a{
    color: #FFFFFF;
	font-family: Arial, sans-serif;
}
/* Commerce */
/* ------------------------------------------------------ */

#cm-manager-content .x-grid3-hd-row td {
	border-left:1px solid #EEEEEE !important;
	border-right:1px solid #D0D0D0 !important;	
}

#cm-manager-content .x-grid3-row{
	border:0px solid #EFEFEF;
}

#cm-manager-content .x-grid-table-bg-color{
		background-color:#FFFFFF;
}

#cm-manager-content .x-grid-td-tab-name {
    font-weight: bold;
    padding: 3px;
}

#cm-manager-content .x-grid-group-hd{
    border-bottom:2px solid #666666;
    padding-top:0px;
    cursor:auto;
}
#cm-manager-content .x-grid3-hd-inner{
    font-family: Arial,sans-serif; 
    color: #333333; 
    font-size: 8pt; 
    background-color: #333333; 
    font-weight: bold; 
    padding-left: 3px;  
    text-align:left;
}
.rowBorder{
    border:0px ;
}

#cm-manager-content .x-grid-group-hd div { 
    background:none;
    padding : 0px;
    cursor:auto;
    font-weight: bold; 
    font-style: normal;
    font-family: Arial,sans-serif; 
}
	
.cm-group-tab{
    background: transparent;
}

.cm-group-tab ul{
    font-family: Arial,sans-serif!important; 
    font-size : 8pt !important;
    font-weight: bold !important; 
    font-style: normal !important;
}

.cm-group-tab li{
    background: #999999 url(/img/gxt/rounded_gradient-tab-inner.png) repeat-x scroll 0 -1px;
}


.cm-group-tab a{
    color: #FFFFFF;
    background: transparent url(/img/left_top_tab8x20.gif) no-repeat left top;
}

.cm-group-tab a span{
    background: transparent url(/img/right_top_tab8x20.gif) no-repeat right top;
    padding: 6px 8px 3px 7px;
}

#cm-manager-content .x-grid3-cell-inner {
    color: #333333; 
    font-size: 8pt; 
    font-family: Arial,sans-serif; 
}

#cm-manager-content .x-grid3-row-alt {
    background-color: #F4F4F4;
}
#cm-manager-content td.x-grid3-hd-over .x-grid3-hd-inner, 
td.sort-desc .x-grid3-hd-inner, 
td.sort-asc .x-grid3-hd-inner, 
td.x-grid3-hd-menu-open .x-grid3-hd-inner {
    background: #666666 repeat-x scroll left bottom;
}

#cm-manager-content .x-grid3-row-selected {
    background-color: #EEEEEE;
}
#cm-manager-content .hover {
	background-color: #E3F3FF; /*SFDC Light Pale Blue*/
}
#cm-manager-content .x-grid3-row-selected.hover {
	background-color: #E3F3FF; /*SFDC Light Pale Blue*/
}

#cm-manager-content .x-grid3-header {
    background: #666666;
}

/* --- LISTS --- */
.list-label, .list-label:link, .list-label:visited { 
    background-color: #333333; 
    color: #FFFFFF; 
    font-size: 8pt; 
    font-family: Arial,sans-serif; 
}

a.list-label:hover, a.list-label:visited:hover { 
    background-color: #333333; 
    color: #1468B6; /*SFDC Medium Blue*/
    font-size: 8pt; 
    font-family: Arial,sans-serif; 
}
.list-field { 
    color: #333333; 
    font-size: 8pt; 
    font-family: Arial,sans-serif; 
}
.list-field:link, .list-field:visited { 
    text-decoration: underline;
}

a.list-field:hover, a.list-field:visited:hover { 
    color: #1468B6; /*SFDC Medium Blue*/
}
.list-field-new, .list-field-new:link, .list-field-new:visited { 
    color: #333333; 
    font-size: 8pt; 
    font-family: Arial,sans-serif; 
}
a.list-field-new:hover, a.list-field-new:visited:hover { 
    color: #1468B6; /*SFDC Medium Blue*/
}
span.list-field {
    vertical-align: top;
    font-size: 8pt;
    font-family: Arial, sans-serif;
    line-height: 11px;
}
.empty-link {
    font-style: italic; 
    /** For empty links in commerce manager grid. **/
}

/* Line Item Grid */
/* ------------------------------------------------------ */
#line-item-grid tr.parent-line-item > td { 
    border-width: 0 1px 1px 1px;
}

#line-item-grid .parent-line-item:hover td { 
	background-color: #E3F3FF; /*SFDC Light Pale Blue*/
}

#line-item-grid td {
	border: solid 1px #EAEAEA;
	border-width: 1px;
	padding: 3px 5px;	
}

#line-item-grid .child-line-item td{
	background-color: #f6f6f6 !important; 	
}

.child-line-item:hover td {
	background-color: #f0f0f0; 	
}

#line-item-grid td td, 
#line-item-grid th td{
	border: none;
	padding: 0 3px;
}

#line-item-grid .action-icon-bar div {
	padding: 0;
	margin-top: 3px ;
	height: 12px;
}

#line-item-grid { 
	border-collapse: collapse; 
}

.line-item-grid-header th { 
	font-size: 12px; 
    color:#000000!important;
	padding: 2px 2px; 
    background: #CCCCCC url(/img/gxt/rounded_gradient-tab-inner.png) repeat-x 0 0!important;
}

.line-item div div {
	line-height: 21px;
}
		
.line-item div.text-wrapper-inner {
	margin-top: 1px;
}

.line-item-grid-footer th{ 
	border-width: 4px 0; 
	padding: 3px 5px; 
	font-size: 14px; 
}
		
td.checker{ 
	text-align: center;
}

td.checker input {
	margin-top: 7px;	
}

.line-item-grid-wrapper .child-line-item .checker input {
	float: right;
	margin-left: 26px;
}

#line-item-grid .line-item-show .reorder-icon {
	left: inherit;
	position: relative;
	width: 6px;
	margin-top: 1px;
}

.line-item-grid-wrapper .line-item .collapsible,
.line-item-grid-wrapper .line-item .collapsible.collapsed {
	position: relative;
	float: left;
	margin: 6px 0 0 -1px;			
	cursor: pointer;
	height: 13px;
	width: 13px;
	background-position: center center !important;
}

.panel .tab-strip {
    border-bottom: 4px solid #1797C0; /*SFDC Blue*/
}

/*  --- GENERAL TEXT --- */
.general-text { 
    font-family: Arial,sans-serif; 
    font-size: 8pt; 
    color: #666666; 
}
a.general-text:link, a.general-text:visited { 
    text-decoration: underline; 
    color: #666666;
}
a.general-text:hover, a.general-text:visited:hover { 
    color: #000000; 
}

.tree:link, .tree:visited { 
    color: #333333; 
    font-size: 8pt; 
}
a.tree:hover, a.tree:visited:hover { 
    color: #000000; 
    font-size: 8pt; 
    text-decoration: underline 
}

/* --- VIEW / FORM --- */
.view-header, .form-header { 
    font-family: Arial; 
    font-size: 8pt; 
    background-color: #333333; 
    color: #FFFFFF; 
    font-weight: bold; 
    padding-left: 3px;  
}

.view-text, .form-input, .form-input select, .form-input-modified, .form-input-selected, .form-input-mouseover,
.form-item input, .form-item select, .form-item textarea, .form-item .menu-attr label,
.attribute-field, .cfg-image-menu {
    font-family: Arial; 
    font-size: 8pt; 
    color: #333333; 
    font-weight:normal;
}
.view-text-number, .form-input-number {  
    font-family: Arial; 
    text-align: right; 
    font-size: 8pt; 
    color: #333333; 
}    
.view-text:link, .view-text:visited { 
    color: #333333;
}
a.view-text:hover, a.view-text:visited:hover { 
    color: #000000;
}
.view-label, 
.form-label, 
.form-item label { 
    font-family: Arial; 
    font-size: 8pt; 
    color: #333333; 
    font-weight: bold; 
    text-align: left;
} 
.view-label-200px { 
    font-size: 8pt; 
    font-weight: bold; 
    color: #333333; 
    padding-left: 1px; 
    width: 200px;
}
.view-number { 
    font-family: Arial; 
    font-size: 8pt; 
    color: #333333; 
    text-align: right; 
}

.help-popup {
	background-color: #E3F3FF; /*SFDC Light Pale Blue*/
	border-color: #E3F3FF; /*SFDC Light Pale Blue*/
    font-family: Arial; 
}

#config-header {
    color: #333333;
    float: right;
    font-size: 18px !important;
    line-height: 24px;
    padding: 0 5px 1px 0;
}

.qs_header > label,
.customerAddressHeaders > label{ 
	font-size: 14px;
	border-bottom: 1px solid #333333;
	width: 100% !important;
}

.form-item {
    padding: 0 10px !important;
}

.commerce-bordercolor{
	display: none;
}